Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 > Struct Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

## Public Types
typedef R(* | FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)
typedef R | ResultType

## Public Member Functions
| PtrFunctor7 (FunctionType fn)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6, Arg7 a7) const

## Public Attributes
FunctionType | fn

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

typedef R(* Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

typedef R Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::PtrFunctor7 | ( | FunctionType | fn | ) |
| inline

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

ResultType Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6,
|  | Arg7 | a7
| ) |  | const
| inline

## Member Data Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

FunctionType Tp::PtrFunctor7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::fn